Last modified: 2012-04-19 21:43:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22811 - Link dialog: Empty "Link text" field should not trigger pipe trick
Link dialog: Empty "Link text" field should not trigger pipe trick
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Adam Miller
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-03-12 06:37 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_2010-03-12_LinkWithBrackers.pdf (18.80 KB, application/pdf)
2010-03-12 06:37 UTC, Calcey QA
Details

Description Calcey QA 2010-03-12 06:37:40 UTC
Created attachment 7190 [details]
Wiki_2010-03-12_LinkWithBrackers.pdf

Reporting against Babaco Release : r63174
Tested link : http://prototype.wikimedia.org/deployment-en/ 

Steps to Reproduce ::

1) Select a link with brackets. Example : Falco (musician)
2) Press Insert
<<Link create as [[Falco (musician)]]  >>
3) Click on Show preview
<<Link shows as Falco (musician) >>

4) Click on link to add another link
5) Select a link with brackets. Example : Falco (musician)
6) Remove Text to display 
7) Press Insert
<<Link create as [[Falco (musician)]]  >>
8) Click on Show preview
<<Link shows as Falco >>

Expected Outcome::
Regardless the existence of Text to display field text, the link name should display as it is.


Test Environment::

Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8

Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; InfoPath.3)

Opera/9.63 (Windows NT 6.1; U; en) Presto/2.1.1

Opera/9.80 (Windows NT 6.1; U; en) Presto/2.2.15 Version/10.00

Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/532.5 (KHTML, like Gecko) Chrome/4.0.249.89 Safari/532.5

Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/530.17 (KHTML, like Gecko) Version/4.0 Safari/530.17
Comment 1 Roan Kattouw 2010-03-12 11:54:22 UTC
The links are not identical, the first is [[Falco (musician)]], the second [[Falco (musician)|]], with a pipe character (|) at the end. The fact that [[Falco (musician)|]] is converted to [[Falco (musician)|Falco]] is supposed to be a feature, called the pipe trick.

Arguably, the pipe trick should not be triggered when the "text" field is empty; changing summary and CCing Parul and Naoko.
Comment 2 nkomura@wikimedia.org 2010-03-17 15:51:24 UTC
(In reply to comment #1)
> The links are not identical, the first is [[Falco (musician)]], the second
> [[Falco (musician)|]], with a pipe character (|) at the end. The fact that
> [[Falco (musician)|]] is converted to [[Falco (musician)|Falco]] is supposed to
> be a feature, called the pipe trick.
> 
> Arguably, the pipe trick should not be triggered when the "text" field is
> empty; changing summary and CCing Parul and Naoko.

Can we not trigger the pipe when the text field is empty?
Comment 3 Trevor Parscal 2010-03-17 18:12:16 UTC
Fixed in r63868. We were making sure text got trimmed but not checking for it's length when it mattered.
Comment 4 Calcey QA 2010-03-18 12:36:22 UTC
Verified and close

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links